ListApiMcpServerCores

更新时间:
复制 MD 格式

Lists ApiMcpServerCore resources.

Operation description

This API is used to query public information, so authorization is not required.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /apimcpservercores HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

id

string

No

The unique identifier.

v6ZZ7ftCzEILW***

nextToken

string

No

The pagination cursor.

Note

A non-empty value indicates that more data is available.

AAAAAZjtYxxxxxxxx

maxResults

integer

No

The maximum number of results to return. The maximum value is 100. The default value is 20.

10

skip

integer

No

The number of results to skip.

5

Response elements

Element

Type

Description

Example

object

requestId

string

The request ID.

A707AFA8-1A4C-5B2A-A165-8436C1EA38DB

nextToken

string

The token to retrieve the next page of results.

Note

A non-empty value indicates that more results are available.

AAAAAZjtYxxxxxxxx

totalCount

integer

The total number of entries.

5

maxResults

integer

The maximum number of entries per page. Maximum value: 100. Default value: 20.

20

apiMcpServerCores

array<object>

The list of MCP Core services.

array<object>

id

string

The ID of the MCP Core service.

UFGUzvjc3cdrPy6Z

oauthClientId

string

The client ID for a custom OAuth configuration.

Only web and native applications are supported, and the OAuth scope must include /acs/mcp-server.

403*************370

createTime

string

The time when the service was created.

2025-05-16 11:17:02

vpcWhitelists

array

The VPC ID of the source VPC in the VPC whitelist.

string

The VPC ID of the source VPC in the VPC whitelist.

[]

enableAssumeRole

boolean

Indicates whether cross-account access is enabled.

true

assumeRoleOverridePolicy

string

The permission policy for role assumption.

{"Version":"1","Statement":[{"Effect":"Allow","Action":["ecs:Describe*"],"Resource":"*"}]}

assumeRoleName

string

The name of the Resource Access Management (RAM) role in the target account to assume for cross-account access.

test

publicAccessType

string

The public access type. Valid values:

Valid values:

  • private :

    Disabled

  • public :

    Enabled

  • inherit :

    The account-level configuration is used.

public

enableCustomVpcWhitelist

boolean

Indicates whether a custom Virtual Private Cloud (VPC) whitelist is enabled. If this parameter is disabled, the account-level configuration is used.

true

urls

object

The connection endpoints.

sse

string

The connection endpoint for the SSE protocol.

https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/id/xxxx/sse

mcp

string

The connection endpoint for the streamable HTTP protocol. We recommend that you use this protocol.

https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/id/xxxx/mcp

vpcSse

string

The connection endpoint for the SSE protocol in a VPC.

https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/id/xxxx/sse

vpcMcp

string

The connection endpoint for the streamable HTTP protocol in a VPC.

https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/id/xxxx/mcp

requiredRamPolicy

string

The RAM policy that is required to use the MCP Core service.

{"Version":"1","Statement":[{"Effect":"Allow","Action":["ecs:Describe*"],"Resource":"*"}]}

Examples

Success response

JSON format

{
  "requestId": "A707AFA8-1A4C-5B2A-A165-8436C1EA38DB",
  "nextToken": "AAAAAZjtYxxxxxxxx",
  "totalCount": 5,
  "maxResults": 20,
  "apiMcpServerCores": [
    {
      "id": "UFGUzvjc3cdrPy6Z",
      "oauthClientId": "403*************370",
      "createTime": "2025-05-16 11:17:02",
      "vpcWhitelists": [
        "[]"
      ],
      "enableAssumeRole": true,
      "assumeRoleOverridePolicy": "{\"Version\":\"1\",\"Statement\":[{\"Effect\":\"Allow\",\"Action\":[\"ecs:Describe*\"],\"Resource\":\"*\"}]}",
      "assumeRoleName": "test",
      "publicAccessType": "public",
      "enableCustomVpcWhitelist": true,
      "urls": {
        "sse": "https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/id/xxxx/sse",
        "mcp": "https://openapi-mcp.cn-hangzhou.aliyuncs.com/accounts/xxxx/id/xxxx/mcp",
        "vpcSse": "https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/id/xxxx/sse",
        "vpcMcp": "https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/id/xxxx/mcp"
      },
      "requiredRamPolicy": "{\"Version\":\"1\",\"Statement\":[{\"Effect\":\"Allow\",\"Action\":[\"ecs:Describe*\"],\"Resource\":\"*\"}]}"
    }
  ]
}

Error codes

HTTP status code

Error code

Error message

Description

400 InvalidParam.NextToken The specified NextToken is not valid. The specified nextToken is invalid.
400 NextTokenParameterMismatch The request uses the same nextToken as the previous request, but with different parameters. NextTokens should not be reused across non-identical requests. Each unique request must have a distinct nextToken. The request uses the same nextToken as the previous request, but with different parameters. NextTokens should not be reused across non-identical requests. Each unique request must have a distinct nextToken.
500 InternalServerError The request has failed due to a temporary failure of the server.

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.